package com.saic.eebc.dto;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;
@XStreamAlias("productInformationDTO")
public class ProductInformationDTO {
	
	private String productInfoID;
	private ProductDetailsDTO productDetails;
	private String isROHSCompliant;
	private String numOfHgLampsUsed;
	private String amtHgUsedinLightSrc;
	private String isAvgHgContentPerLamp;
	private String isHgAddedLightSourceEliminated;
	private String isPostRecyclePlasticDeclared;
	private String manuDeclarationOfPostRecycledPlastic;
	private String minPostRecyPlasticContent;
	private String maxPostRecyPlasticContent;
	private String productWeightKg;
	private String percentPowermkanagEnabledComp;
	private String percentPowermkanagEnabledDisp;
	
	private String lowRecycledPlasticContent;
	private String upperRecycledPlasticContent;
	private String lowRecycledResinContent;
	private String upperRecycledResinContent;
	private String lowRecycledAddPackageContent;
	private String upperRecycledAddPackageContent;
	private String ispostConsContentGuidelineMinimum;
	private String isReusablePackaging;
	
	public ProductInformationDTO() {
		super();
		productDetails = new ProductDetailsDTO();
		// TODO Auto-generated constructor stub
	}
	
	public ProductInformationDTO(String productInfoID, ProductDetailsDTO productDetails, String isROHSCompliant, String numOfHgLampsUsed,String amtHgUsedinLightSrc,
			String isAvgHgContentPerLamp,
			String isHgAddedLightSourceEliminated,
			String isPostRecyclePlasticDeclared,
			String manuDeclarationOfPostRecycledPlastic,
			String minPostRecyPlasticContent, String maxPostRecyPlasticContent,
			String productWeightKg,
			String percentPowermkanagEnabledComp,
			String percentPowermkanagEnabledDisp,
			String lowRecycledPlasticContent,
			String upperRecycledPlasticContent,
			String lowRecycledResinContent,
			String upperRecycledResinContent,
			String lowRecycledAddPackageContent,
			String upperRecycledAddPackageContent,
			String ispostConsContentGuidelineMinimum, String isReusablePackaging) {
		super();
		this.productInfoID = productInfoID;
		this.productDetails = productDetails ;
		this.isROHSCompliant = isROHSCompliant;
		this.numOfHgLampsUsed = numOfHgLampsUsed;
		this.amtHgUsedinLightSrc = amtHgUsedinLightSrc;
		this.isAvgHgContentPerLamp = isAvgHgContentPerLamp;
		this.isHgAddedLightSourceEliminated = isHgAddedLightSourceEliminated;
		this.isPostRecyclePlasticDeclared = isPostRecyclePlasticDeclared;
		this.manuDeclarationOfPostRecycledPlastic = manuDeclarationOfPostRecycledPlastic;
		this.minPostRecyPlasticContent = minPostRecyPlasticContent;
		this.maxPostRecyPlasticContent = maxPostRecyPlasticContent;
		this.productWeightKg = productWeightKg;
		this.percentPowermkanagEnabledComp = percentPowermkanagEnabledComp;
		this.percentPowermkanagEnabledDisp = percentPowermkanagEnabledDisp;
		this.lowRecycledPlasticContent = lowRecycledPlasticContent;
		this.upperRecycledPlasticContent = upperRecycledPlasticContent;
		this.lowRecycledResinContent = lowRecycledResinContent;
		this.upperRecycledResinContent = upperRecycledResinContent;
		this.lowRecycledAddPackageContent = lowRecycledAddPackageContent;
		this.upperRecycledAddPackageContent = upperRecycledAddPackageContent;
		this.ispostConsContentGuidelineMinimum = ispostConsContentGuidelineMinimum;
		this.isReusablePackaging = isReusablePackaging;
	}
	

	public String getProductInfoID() {
		return productInfoID;
	}

	public void setProductInfoID(String productInfoID) {
		this.productInfoID = productInfoID;
	}

	public String getPercentPowermkanagEnabledDisp() {
		return percentPowermkanagEnabledDisp;
	}

	public void setPercentPowermkanagEnabledDisp(
			String percentPowermkanagEnabledDisp) {
		this.percentPowermkanagEnabledDisp = percentPowermkanagEnabledDisp;
	}

	public ProductDetailsDTO getProductDetails() {
		return productDetails;
	}

	public void setProductDetails(ProductDetailsDTO productDetails) {
		this.productDetails = productDetails;
	}

	public String getIsROHSCompliant() {
		return isROHSCompliant;
	}
	public String getNumOfHgLampsUsed() {
		return numOfHgLampsUsed;
	}
	public String getAmtHgUsedinLightSrc() {
		return amtHgUsedinLightSrc;
	}

	public void setAmtHgUsedinLightSrc(String amtHgUsedinLightSrc) {
		this.amtHgUsedinLightSrc = amtHgUsedinLightSrc;
	}

	public String getIsAvgHgContentPerLamp() {
		return isAvgHgContentPerLamp;
	}
	public String getIsHgAddedLightSourceEliminated() {
		return isHgAddedLightSourceEliminated;
	}
	public String getIsPostRecyclePlasticDeclared() {
		return isPostRecyclePlasticDeclared;
	}
	public String getManuDeclarationOfPostRecycledPlastic() {
		return manuDeclarationOfPostRecycledPlastic;
	}
	public String getMinPostRecyPlasticContent() {
		return minPostRecyPlasticContent;
	}
	public String getMaxPostRecyPlasticContent() {
		return maxPostRecyPlasticContent;
	}
	public String getProductWeightKg() {
		return productWeightKg;
	}
	public String getPercentPowermkanagEnabledComp() {
		return percentPowermkanagEnabledComp;
	}
	public String getLowRecycledPlasticContent() {
		return lowRecycledPlasticContent;
	}
	public String getUpperRecycledPlasticContent() {
		return upperRecycledPlasticContent;
	}
	public String getLowRecycledResinContent() {
		return lowRecycledResinContent;
	}
	public String getUpperRecycledResinContent() {
		return upperRecycledResinContent;
	}
	public String getLowRecycledAddPackageContent() {
		return lowRecycledAddPackageContent;
	}
	public String getUpperRecycledAddPackageContent() {
		return upperRecycledAddPackageContent;
	}
	public String getIspostConsContentGuidelineMinimum() {
		return ispostConsContentGuidelineMinimum;
	}
	public String getIsReusablePackaging() {
		return isReusablePackaging;
	}

	public void setIsROHSCompliant(String isROHSCompliant) {
		this.isROHSCompliant = isROHSCompliant;
	}
	public void setNumOfHgLampsUsed(String numOfHgLampsUsed) {
		this.numOfHgLampsUsed = numOfHgLampsUsed;
	}
	public void setIsAvgHgContentPerLamp(String isAvgHgContentPerLamp) {
		this.isAvgHgContentPerLamp = isAvgHgContentPerLamp;
	}
	public void setIsHgAddedLightSourceEliminated(
			String isHgAddedLightSourceEliminated) {
		this.isHgAddedLightSourceEliminated = isHgAddedLightSourceEliminated;
	}
	public void setIsPostRecyclePlasticDeclared(String isPostRecyclePlasticDeclared) {
		this.isPostRecyclePlasticDeclared = isPostRecyclePlasticDeclared;
	}
	public void setManuDeclarationOfPostRecycledPlastic(
			String manuDeclarationOfPostRecycledPlastic) {
		this.manuDeclarationOfPostRecycledPlastic = manuDeclarationOfPostRecycledPlastic;
	}
	public void setMinPostRecyPlasticContent(String minPostRecyPlasticContent) {
		this.minPostRecyPlasticContent = minPostRecyPlasticContent;
	}
	public void setMaxPostRecyPlasticContent(String maxPostRecyPlasticContent) {
		this.maxPostRecyPlasticContent = maxPostRecyPlasticContent;
	}
	public void setProductWeightKg(String productWeightKg) {
		this.productWeightKg = productWeightKg;
	}
	public void setPercentPowermkanagEnabledComp(
			String percentPowermkanagEnabledComp) {
		this.percentPowermkanagEnabledComp = percentPowermkanagEnabledComp;
	}
	public void setLowRecycledPlasticContent(String lowRecycledPlasticContent) {
		this.lowRecycledPlasticContent = lowRecycledPlasticContent;
	}
	public void setUpperRecycledPlasticContent(
			String upperRecycledPlasticContent) {
		this.upperRecycledPlasticContent = upperRecycledPlasticContent;
	}
	public void setLowRecycledResinContent(String lowRecycledResinContent) {
		this.lowRecycledResinContent = lowRecycledResinContent;
	}
	public void setUpperRecycledResinContent(String upperRecycledResinContent) {
		this.upperRecycledResinContent = upperRecycledResinContent;
	}
	public void setLowRecycledAddPackageContent(
			String lowRecycledAddPackageContent) {
		this.lowRecycledAddPackageContent = lowRecycledAddPackageContent;
	}
	public void setUpperRecycledAddPackageContent(
			String upperRecycledAddPackageContent) {
		this.upperRecycledAddPackageContent = upperRecycledAddPackageContent;
	}
	public void setIspostConsContentGuidelineMinimum(
			String ispostConsContentGuidelineMinimum) {
		this.ispostConsContentGuidelineMinimum = ispostConsContentGuidelineMinimum;
	}
	public void setIsReusablePackaging(String isReusablePackaging) {
		this.isReusablePackaging = isReusablePackaging;
	}
	



}
